import { IAspect, IConstruct } from '@aws-cdk/core';
export interface WatchfulAspectProps {
    /**
     * Automatically watch API Gateway APIs in the scope.
     * @default true
     */
    readonly apiGateway?: boolean;
    /**
     * Automatically watch all Amazon DynamoDB tables in the scope.
     * @default true
     */
    readonly dynamodb?: boolean;
    /**
     * Automatically watch AWS Lambda functions in the scope.
     * @default true
     */
    readonly lambda?: boolean;
}
/**
 * A CDK aspect that can automatically watch all resources within a scope.
 */
export declare class WatchfulAspect implements IAspect {
    private readonly watchful;
    private readonly props;
    /**
     * Defines a watchful aspect
     * @param watchful The watchful to add those resources to
     * @param props Options
     */
    constructor(watchful: Watchful, props?: WatchfulAspectProps);
    visit(node: IConstruct): void;
}
import { Watchful } from './watchful';
