import { Construct } from '@aws-cdk/core';
import apigw = require('@aws-cdk/aws-apigateway');
import lambda = require('@aws-cdk/aws-lambda');
import dynamodb = require('@aws-cdk/aws-dynamodb');
import cloudwatch = require('@aws-cdk/aws-cloudwatch');
import { WatchDynamoTableOptions, WatchDynamoTable } from './dynamodb';
import { IWatchful, SectionOptions } from './api';
import { WatchLambdaFunctionOptions, WatchLambdaFunction } from './lambda';
import { WatchfulAspectProps } from './aspect';
import { WatchApiGatewayOptions, WatchApiGateway } from './api-gateway';
export interface WatchfulProps {
    readonly alarmEmail?: string;
}
export declare class Watchful extends Construct implements IWatchful {
    private readonly dash;
    private readonly alarmTopic?;
    constructor(scope: Construct, id: string, props?: WatchfulProps);
    addWidgets(...widgets: cloudwatch.IWidget[]): void;
    addAlarm(alarm: cloudwatch.Alarm): void;
    addSection(title: string, options?: SectionOptions): void;
    watchScope(scope: Construct, options?: WatchfulAspectProps): void;
    watchDynamoTable(title: string, table: dynamodb.Table, options?: WatchDynamoTableOptions): WatchDynamoTable;
    watchApiGateway(title: string, restApi: apigw.RestApi, options?: WatchApiGatewayOptions): WatchApiGateway;
    watchLambdaFunction(title: string, fn: lambda.Function, options?: WatchLambdaFunctionOptions): WatchLambdaFunction;
}
